Skip to main content
POST
Launch GPU cluster

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Headers

Idempotency-Key
string
required

Client-chosen key of 8–180 characters [A-Za-z0-9:_-]. Replaying the same key with the same body returns the original operation; a different body with the same key fails with 409 operation_conflict.

Required string length: 8 - 180
Pattern: ^[A-Za-z0-9:_-]+$

Body

application/json
accelerator
enum<string>
Available options:
A40_48GB,
A100_80GB,
H100_80GB,
H100_NVL_94GB,
H200_141GB,
B200_180GB,
B300_288GB,
L40_48GB,
L40S_48GB,
RTX_2000_ADA_16GB,
RTX_4000_ADA_20GB,
RTX_6000_ADA_48GB,
RTX_A5000_24GB,
RTX_PRO_4000_24GB,
RTX_PRO_4500_32GB,
RTX_PRO_6000_96GB,
RTX_PRO_6000_MIG_24GB,
RTX_PRO_6000_MIG_48GB,
MI300X_192GB
nodes
integer
Required range: 2 <= x <= 8
gpusPerNode
integer
default:8
Required range: 1 <= x <= 8
region
enum<string>
Available options:
north_america,
united_states,
canada,
europe,
asia_pacific,
oceania
name
string
Required string length: 1 - 120
orchestrator
enum<string>
default:none
Available options:
none,
slurm,
ray
image
string
Required string length: 1 - 500
Pattern: ^(?![A-Za-z][A-Za-z0-9+.-]*:\/\/)[A-Za-z0-9][A-Za-z0-9./_:@-]*$
diskGbPerNode
integer
default:50
Required range: 1 <= x <= 1024
volumeId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
volumeMountPath
string
default:/workspace
Maximum string length: 120
Pattern: ^\/[A-Za-z0-9_-]+(?:\/[A-Za-z0-9_-]+)*\/?$
storage
object
registryCredentialId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
sshKeyIds
string<uuid>[]
Maximum array length: 20
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
sshPublicKey
string
Required string length: 1 - 16384
env
object
ports
dockerStartCmd
string[]
Maximum array length: 32
Maximum string length: 4096
publicPortsAcknowledged
boolean
default:false
maxHourlyPrice
string
Pattern: ^\d{1,7}(?:\.\d{1,6})?$
quoteId
string
Required string length: 1 - 8192

Response

Accepted. Poll operationId for completion.

Body of every 202 Accepted Compute mutation.

accepted
enum<boolean>
required
Available options:
true
resourceId
string<uuid>
required

ID of the resource created or mutated.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
resourceType
enum<string>
required
Available options:
pod,
volume,
cluster,
template,
registry,
ssh_key
operationId
string<uuid>
required

Durable operation record. Poll GET /v1/gpu/operations/{id} until a terminal status.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
enum<string>
required
Available options:
accepted